+ Correction for cases where the interlaced state is determined after the image is...
[melted] / src / modules / xine / configure
index 022c9cd..d321129 100755 (executable)
@@ -1,11 +1,18 @@
-#!/bin/bash
+#!/bin/sh
 
 if [ "$help" != "1" ]
 then
 
-cat << EOF >> ../filters.dat
-deinterlace            libmltxine.so
-EOF
+       # Horrible hack
+       grep mmx /proc/cpuinfo > /dev/null 2>&1
+       disable_xine=$?
 
+       if [ "$disable_xine" = "0" ]
+       then
+               echo "deinterlace               libmltxine$LIBSUF" >> ../filters.dat
+       else
+               echo "- MMX Capabalities not found: disabling xine deinterlacing module"
+               touch ../disable-xine
+       fi
 fi